Bug 427315 - mock fails to resolve file-based BuildRequires
mock fails to resolve file-based BuildRequires
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-02 18:57 EST by Dominik 'Rathann' Mierzejewski
Modified: 2013-01-09 20:46 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.8.19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-03 14:52:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-01-02 18:57:26 EST
Description of problem:
When BuildRequires: are specified as file instead of dependency name, mock fails
to install them, even though yum resolvedep has no problems.

Version-Release number of selected component (if applicable):
$ rpm -q mock

How reproducible:

Steps to Reproduce:
1. wget http://dl.atrpms.net/all/arpack-2.1-7.src.rpm
2. mock -r fedora-7-x86_64 rebuild arpack-2.1-7.src.rpm
Actual results:
INFO: mock.py version 0.8.18 starting...
State Changed: init plugins
State Changed: start
INFO: Start(/home/rathann/build/RPMS/arpack-2.1-7.fc7.src.rpm) 
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled root cache
State Changed: unpacking cache
State Changed: running yum
State Changed: setup
ERROR: Exception(/home/rathann/build/RPMS/arpack-2.1-7.fc7.src.rpm)
Config(fedora-7-x86_64) 0 minutes 28 seconds
INFO: Results and/or logs in: /var/lib/mock//fedora-7-x86_64/result
ERROR: Bad build req: No Package Found for /usr/lib64/liblapack.so. Exiting.

Expected results:
BRs should be resolved correctly.

Additional info:
$ yum resolvedep /usr/lib64/liblapack.so
Loading "fedorakmod" plugin
Loading "basearchonly" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
 * livna: rpm.livna.org
 * fedora: ftp.ps.pl
 * updates: ftp.wcss.pl
Importing additional filelist information
Comment 1 Michael E Brown 2008-01-03 14:52:00 EST
works for me in 0.8.19, which was pushed to stable updates repo yesterday.
Comment 2 Dominik 'Rathann' Mierzejewski 2008-01-03 14:55:51 EST
Confirmed with 0.8.19 mock pulled from koji as the update hasn't hit my local
mirror yet. Thanks.

Note You need to log in before you can comment on or make changes to this bug.